%define	major		0
%define	libname		%mklibname %{name} %{major}
%define	libname_devel	%mklibname %{name} -d

%define casedname	AfterStep

Summary:	AfterStep Window Manager
Name:		afterstep
Epoch:		4
Version:	2.2.12
Release:	%mkrel 23
License:	GPLv2+
Group:		Graphical desktop/Other
URL:		http://www.afterstep.org/

Source:		ftp://ftp.afterstep.org/stable/%{casedname}-%version.tar.bz2
Source1:	%{casedname}-mdkconf.tar.bz2
Source3:	%{casedname}.png
Source4:	%{casedname}32.png
Source5:	%{casedname}48.png
# Upstream patches
Patch1:         0001-readded-Propaganda-submenu-with-new-location.patch
Patch2:         0002-Fixed-bug-starting-modules-on-multi-display-setup-ad.patch
Patch3:         0003-fixed-bug-in-logic-for-charset-name-handling.patch
Patch4:         0004-fixed-segfault-in-print_clean_hints.patch
Patch5:         0005-Reimplemented-DBus-listening-to-use-DBusWatch-interf.patch
Patch6:         0006-fixed-segfault-due-to-wrong-pointer-in-dbus-add-watc.patch
Patch7:         0007-Added-dbus-message-matches.patch
Patch8:         0008-added-more-dbus-crap-in-hopes-of-getting-it-to-work-.patch
Patch9:         0009-changed-dbus-message-match-to-actually-get-messages-.patch
Patch10:        0010-Introduced-dbus-red-write-into-X-message-loop-to-avo.patch
Patch11:        0011-Fix-compilation-issue-when-compiling-with-Wl-no-unde.patch
Patch12:        0012-Added-desktop-categories-entries-deduplication-to-al.patch
Patch13:        0013-Fix-spelling-in-default-winlist-settings.patch
Patch14:        0014-Clean-up-of-WinList.c-no-functional-changes.patch
Patch15:        0015-Remove-empty-function-GetOptions.patch
Patch16:        0016-Delete-obsolete-1.8-FAQ-file.patch
Patch17:        0017-Fix-compile-time-warning-on-inlined-function.patch
Patch18:        0018-Clean-up-compile-time-warnings-on-depreciated-functi.patch
Patch19:        0019:drop-l-from-ar.patch

# Debian patches:
Patch124:	24-AsDocGen-man.patch
Patch138:	38-Disable-handling-pending-events.patch
Patch139:	39-Fix-parallel-builds.patch
Patch143:	43-Fix-gcc-warning.patch
Patch144:	44-Fix-build-with-gcc-5.patch
Patch145:	45-Fix-libAfterBase-Makefile.patch
Patch151:	51-Warning.patch
Patch156:	56-Fix-autotools-pkg-config.patch
Patch157:	57-Use-pkg-config-for-freetype.patch

# Mageia patches
Patch201:	%{casedname}-1.8.9-menuname.patch
Patch202:	%{casedname}.MenuKey.patch
Patch203:	%{name}-wharf.patch
Patch205:	%{name}-2.2.12-winlist.patch
Patch207:	afterstep-devel-2.2.12-debuginfo.patch
Patch208:       static-inline-asvector-fix.patch
Patch209:       afterstep-missing-includes.patch
Patch210:       afterstep-implicit-int.patch

BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(gtk+-2.0)
Requires:	desktop-common-data
Requires:	xli
Recommends:	asclock

Obsoletes:	AfterStep < 4:2.2.11-8

%description
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

%package -n %libname
Summary:	Libraries needed by AfterStep
Group:		Graphical desktop/Other
Provides:	lib%name = %version-%release
Obsoletes:	%{_lib}AfterStep0 < 4:2.2.11-8

%description -n %libname
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

This package contains libraries needed by AfterStep package.

%package -n %libname_devel
Summary:	Devel files needed to build applications based on AfterStep
Group:		Development/C
Provides:	%name-devel
Provides:	lib%name-devel
Provides:       libAfterImage-devel = %{epoch}:%version-%release
Provides:       libAfterBase-devel = %{epoch}:%version-%release
Provides:       libAfterStep-devel = %{epoch}:%version-%release
Requires:	%libname = %{epoch}:%version-%release
Obsoletes:	%{_lib}AfterStep-devel < 4:2.2.11-8
Conflicts:	afterstep < 2.2.12-17

%description -n %libname_devel
AfterStep is a Window Manager for X which started by emulating the NEXTSTEP
look and feel, but which has been significantly altered according to the
requests of various users. Many adepts will tell you that NEXTSTEP is not
only the most visually pleasant interface, but also one of the most functional
and intuitive out there. AfterStep aims to incorporate the advantages of the
NEXTSTEP interface, and add additional useful features.

The developers of AfterStep have also worked very hard to ensure stability and
a small program footprint. Without giving up too many features, AfterStep still
works nicely in environments where memory is at a premium.

This package contains devel files needed to build applications based on
AfterStep.

%prep
%setup -q -n %{name}-devel-%{version}
%autopatch -p1

%build
export CFLAGS="%{build_cflags} -Wno-deprecated-declarations"
autoreconf -vfi autoconf libAfterImage libAfterBase
%configure	\
		--enable-gdb \
		--enable-sharedlibs \
		--with-imageloader="xsetbg" \
		--with-helpcommand="xterm -fn 9x15 -e man" \
		--with-desktops=1 \
		--with-deskgeometry=1x1 \
		--enable-different-looknfeels \
		--enable-i18n \
		--enable-savewindows \
		--enable-virtual \
		--enable-windowlist \
		--enable-availability \
		--enable-shaping \
		--enable-xinerama \
		--enable-script \
		--with-xpm \
		--with-jpeg \
		--with-png \
		--with-ttf \
		--with-tiff \
		--with-svg

# We're using make here instead of the built-in macro percent-make because the AfterStep
# build-system lacks some dependencies which makes it fail sometimes with parallel
# builds (-j).
make %{?_make_verbose}

if [ -x /usr/bin/sgml2html ]; then sgml2html doc/afterstep.sgml; fi


%install
%make_install LDCONFIG=/bin/true

install -D -m 644  AfterStep.desktop.final %{buildroot}%{_datadir}/xsessions/AfterStep.desktop

# remove NoDisplay=true to show in display managers (mga#25170)
sed -i -e '/^NoDisplay/d' \
	%{buildroot}%{_datadir}/xsessions/AfterStep.desktop

# make sure file starts with [Desktop Entry]
sed -i -n '/^\[Desktop Entry\]$/,$p' \
        %{buildroot}%{_datadir}/xsessions/AfterStep.desktop


# LMDK icons
install -m644 %SOURCE4 -D %{buildroot}%{_iconsdir}/%{casedname}.png
install -m644 %SOURCE3 -D %{buildroot}%{_miconsdir}/%{casedname}.png
install -m644 %SOURCE5 -D %{buildroot}%{_liconsdir}/%{casedname}.png

# Not needed with Mageia menu
rm -rf %{buildroot}%{_datadir}/afterstep/start/Applications/

%posttrans
# (ovitters) In posttrans, $1 is always equal to 1, even in the upgrade case.
# So just run this always:
if [ -e %{_datadir}/xsessions/15AfterStep.desktop ]; then
	rm -rf %{_datadir}/xsessions/15AfterStep.desktop
fi
if [ -e %{_sysconfdir}/X11/dm/Sessions/15AfterStep.desktop ]; then
	rm -rf %{_sysconfdir}/X11/dm/Sessions/15AfterStep.desktop
fi

%files
%doc COPYRIGHT ChangeLog NEW README TEAM doc/languages doc/licences
%{_datadir}/xsessions/%{casedname}.desktop
%{_iconsdir}/%{casedname}.png
%{_miconsdir}/%{casedname}.png
%{_liconsdir}/%{casedname}.png
%{_bindir}/*
%exclude %{_bindir}/*-config
%{_mandir}/man1/*
%{_mandir}/man3/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*

%files -n %libname
%{_libdir}/*.so.%major
%{_libdir}/*.so.%major.*

%files -n %libname_devel
%{_libdir}/*.so
%{_libdir}/*.a
%_includedir/*
%{_bindir}/*-config


%changelog
* Thu May 23 2024 wally <wally> 4:2.2.12-23.mga10
+ Revision: 2066868
- add patches to fix build with gcc14
- enable mmx optimizations on i686
- properly use our compoiler flags

* Mon Dec 12 2022 ns80 <ns80> 4:2.2.12-22.mga9
+ Revision: 1920972
- rebuild for new libtiff

* Sat Jul 09 2022 papoteur <papoteur> 4:2.2.12-21.mga9
+ Revision: 1868051
- fix build with new binutils (ar)
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Feb 03 2021 pterjan <pterjan> 4:2.2.12-19.mga8
+ Revision: 1674691
- Add conflicts for files moved to -devel
+ ovitters <ovitters>
- fix usage of  in posttrans

* Fri Jun 12 2020 joequant <joequant> 4:2.2.12-18.mga8
+ Revision: 1592750
- fix gcc10 - inline should be static
- remove arm workaround fix

* Tue Apr 28 2020 joequant <joequant> 4:2.2.12-17.mga8
+ Revision: 1573028
- move devel binaries to devel

* Sat Feb 15 2020 umeabot <umeabot> 4:2.2.12-16.mga8
+ Revision: 1527860
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jul 26 2019 wally <wally> 4:2.2.12-15.mga8
+ Revision: 1424247
- make sure afterstep is shown in MCC auto login tool

* Thu Jul 25 2019 wally <wally> 4:2.2.12-14.mga8
+ Revision: 1423915
- add patches from upstream and Debian

* Wed Jul 24 2019 wally <wally> 4:2.2.12-13.mga8
+ Revision: 1423788
- remove NoDisplay key from xsession .desktop file (mga#25170)
- add Debian patch to fix build

* Sun Sep 23 2018 umeabot <umeabot> 4:2.2.12-12.mga7
+ Revision: 1297298
- Mageia 7 Mass Rebuild

* Mon Jun 04 2018 wally <wally> 4:2.2.12-11.mga7
+ Revision: 1234487
- fix build on aarch64

* Sun Oct 15 2017 cjw <cjw> 4:2.2.12-10.mga7
+ Revision: 1171943
- patch10: do not remove -g from cflags
+ daviddavid <daviddavid>
- honor user CCFLAGS thus fixing empty debugsourcefiles.list

* Fri Feb 24 2017 wally <wally> 4:2.2.12-8.mga6
+ Revision: 1087707
- drop obsolete wmsession.d files
- remove generated xsessions .desktop file leftovers on update

* Fri Sep 30 2016 eatdirt <eatdirt> 4:2.2.12-7.mga6
+ Revision: 1057775
- Installing desktop file for sddm

* Wed Feb 10 2016 umeabot <umeabot> 4:2.2.12-6.mga6
+ Revision: 953051
- Mageia 6 Mass Rebuild

* Mon Sep 07 2015 cjw <cjw> 4:2.2.12-5.mga6
+ Revision: 873868
- patch9: fix build with gcc 5

* Wed Oct 15 2014 umeabot <umeabot> 4:2.2.12-4.mga5
+ Revision: 741211
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4:2.2.12-3.mga5
+ Revision: 686468
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 4:2.2.12-2.mga5
+ Revision: 677716
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Sun Aug 17 2014 remmy <remmy> 4:2.2.12-1.mga5
+ Revision: 664817
- New upstream version 2.2.12

* Sat Oct 19 2013 umeabot <umeabot> 4:2.2.11-11.mga4
+ Revision: 525930
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 4:2.2.11-10.mga4
+ Revision: 434982
- rebuild for new libpng

* Fri Jan 11 2013 umeabot <umeabot> 4:2.2.11-9.mga3
+ Revision: 345324
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Mar 17 2012 wally <wally> 4:2.2.11-8.mga2
+ Revision: 223747
- correctly obsolete old AfterStep pkgs (mga#4971)
- clean .spec a bit

* Tue Jan 31 2012 remmy <remmy> 4:2.2.11-7.mga2
+ Revision: 203656
- Removed .xsession file, closing bug report mga#3650
- Removed xeyes from default Wharf configuration
- Added LibreOffice Writer and Clac as default Wharf options
- Added suggest on asclock

* Fri Dec 23 2011 fwang <fwang> 4:2.2.11-6.mga2
+ Revision: 186393
- rebuild for new libtiff

* Tue Sep 20 2011 fwang <fwang> 4:2.2.11-5.mga2
+ Revision: 145922
- fix build with latest libpng
- rebuild for new libpng
+ shlomif <shlomif>
- Removed the %%make_session calls - they are handled by file triggers and triggers an empty postun/post errors.
- Change %%make to make to avoid parallel builds which sometimes break
- Bumped the mkrel to change the name of the menu to Mageia
+ remmy <remmy>
- Change reference in menu from Mandriva Linux to Mageia

* Fri May 06 2011 nanardon <nanardon> 4:2.2.11-1.mga1
+ Revision: 95602
- Mdv cleanup
- imported package AfterStep


* Wed Jan 19 2011 Funda Wang <fwang@mandriva.org> 4:2.2.11-1mdv2011.0
+ Revision: 631658
- New version 2.2.11

* Mon Jan 03 2011 Funda Wang <fwang@mandriva.org> 4:2.2.9-4mdv2011.0
+ Revision: 627679
- fix linkage

* Sun Dec 05 2010 Oden Eriksson <oeriksson@mandriva.com> 4:2.2.9-3mdv2011.0
+ Revision: 609926
- rebuild

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 4:2.2.9-2mdv2010.0
+ Revision: 419754
- rebuild for new libjpeg v7

  + Frederik Himpe <fhimpe@mandriva.org>
    - Update to new version 2.2.9
    - Use %%configure2_5x macro instead of %%configure to fix build

* Thu Jun 12 2008 Pixel <pixel@mandriva.com> 4:2.2.4-2mdv2009.0
+ Revision: 218439
- rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
- do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Thierry Vignaud <tv@mandriva.org>
    - drop old menu

* Mon Jan 07 2008 Funda Wang <fwang@mandriva.org> 4:2.2.4-2mdv2008.1
+ Revision: 146266
- New devel package policy
- fix requires on Mandriva_desk

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 4:2.2.4-1mdv2008.1
+ Revision: 135819
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - buildrequires X11-devel instead of XFree86-devel
    - s/Mandrake/Mandriva/


* Fri Dec 01 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.2.4-1mdv2007.0
+ Revision: 89500
- New version 2.2.4

* Thu Aug 03 2006 Olivier Thauvin <nanardon@mandriva.org> 4:2.2.2-1mdv2007.0
+ Revision: 43064
- remove menu (no longer supported, just hopping xdg menu are supported, else no menu)
- 2.2.2
- Import AfterStep

* Fri Jun 16 2006 Lenny Cartier <lenny@mandriva.com> 4:2.2.1-2mdv2007.0
- rebuild

* Tue Mar 07 2006 Olivier Thauvin <nanardon@mandriva.org> 2.2.1-1mdk
- 2.2.1

* Fri Oct 07 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.0-2mdk
- Fix BuildRequires
- Remove redundant buildrequire

* Fri May 27 2005 Nicolas Lécureuil <neoclust@mandriva.org> 2.1.0-1mdk
- 2.1.0

* Mon May 09 2005 Olivier Thauvin <nanardon@mandriva.org> 2.00.05-1mdk
- 2.00.05
- remove patch4, merge upstream

* Thu Jan 13 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.00.01-2mdk
- Fix lib installation

* Wed Jan 12 2005 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.00.01-1mdk
- 2.00.01
- rediff patch3

* Sat Feb 28 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 1.8.11-5mdk
- Fix Dep (epoch)

